#!/bin/bash
if [ -z $SCHRODINGER ];then
echo "No Schrodinger was installed or loaded into system..."
## source config for Schrodinger
module load schrodinger/2018-1
echo "module loaded"
fi
SCHRODINGER=/opt/software/schrodinger/suite_2018-1/
name=$1
echo $name
$SCHRODINGER/ligprep -ismi ${name}.smi -omae ${name}.mae -epik -s 1
sleep 500s
echo '3d structure generated, converting to mol2' 
$SCHRODINGER/utilities/structconvert -imae ${name}.mae -omol2 ${name}.mol2
wait
echo 'Mol2 file generated'
